Package org.apache.synapse.commons.vfs

# Class VFSConstants

java.lang.Object
org.apache.synapse.commons.vfs.VFSConstants

public final class VFSConstants extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `VFSConstants.SFTP_FILE_OPTION`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `APPEND`
  `static final String`
  `ASCII_TYPE`
  `static final String`
  `BINARY_TYPE`
  `static final String`
  `CLUSTER_AWARE`
  `static final String`
  `DEFAULT_FAILED_RECORDS_FILE_DESTINATION`
  The default location to place the record file
  `static final String`
  `DEFAULT_FAILED_RECORDS_FILE_NAME`
  The default name of the failed file
  `static final int`
  `DEFAULT_MAX_RETRY_COUNT`
  `static final int`
  `DEFAULT_NEXT_RETRY_DURATION`
  `static final long`
  `DEFAULT_RECONNECT_TIMEOUT`
  `static final String`
  `DEFAULT_RESPONSE_FILE`
  `static final String`
  `DEFAULT_TRANSPORT_FAILED_RECORD_TIMESTAMP_FORMAT`
  `static final double`
  `DEFAULT_TRANSPORT_FILE_SIZE_LIMIT`
  `static final String`
  `EBCDIC_TYPE`
  `static final String`
  `ERROR_CODE`
  The error code of the transport sender side
  `static final String`
  `FAILED_RECORD_DELIMITER`
  `static final String`
  `FILE_LENGTH`
  `static final String`
  `FILE_NAME`
  `static final String`
  `FILE_PATH`
  `static final String`
  `FILE_SORT_ORDER`
  `static final String`
  `FILE_SORT_PARAM`
  File Sorting Parameter and values
  `static final String`
  `FILE_SORT_VALUE_LASTMODIFIEDTIMESTAMP`
  `static final String`
  `FILE_SORT_VALUE_NAME`
  `static final String`
  `FILE_SORT_VALUE_SIZE`
  `static final String`
  `FILE_TYPE`
  `static final String`
  `FILE_TYPE_PREFIX`
  `static final String`
  `FILE_URI`
  `static final String`
  `FORCE_CREATE_FOLDER`
  `static final String`
  `IS_MOUNTED`
  `static final String`
  `LAST_MODIFIED`
  `static final String`
  `LOCAL_TYPE`
  `static final String`
  `MAX_RETRY_COUNT`
  `static final String`
  `RECONNECT_TIMEOUT`
  `static final String`
  `REPLY_FILE_NAME`
  `static final String`
  `REPLY_FILE_URI`
  `static final String`
  `SCHEME`
  `static final String`
  `SCHEME_FTP`
  `static final String`
  `SCHEME_FTPS`
  `static final String`
  `SCHEME_SFTP`
  `static final String`
  `SCHEME_SMB2`
  `static final String`
  `SFTP_PREFIX`
  `static final String`
  `STREAMING`
  `static final String`
  `SUBFOLDER_TIMESTAMP`
  `static final String`
  `TRANSPORT_AUTO_LOCK_RELEASE`
  Lock release true/false
  `static final String`
  `TRANSPORT_AUTO_LOCK_RELEASE_INTERVAL`
  Lock release interval
  `static final String`
  `TRANSPORT_AUTO_LOCK_RELEASE_SAME_NODE`
  Lock release same node
  `static final String`
  `TRANSPORT_BUILD`
  Fully build the file
  `static final String`
  `TRANSPORT_CHECK_SIZE_IGNORE_EMPTY`
  `static final String`
  `TRANSPORT_CHECK_SIZE_INTERVAL`
  `static final String`
  `TRANSPORT_DISTRIBUTED_LOCK`
  Distributed Lock enable/disable
  `static final String`
  `TRANSPORT_DISTRIBUTED_LOCK_TIMEOUT`
  Distributed Lock timeout
  `static final String`
  `TRANSPORT_FAILED_RECORD_NEXT_RETRY_DURATION`
  Once a record/file is marked as failed we'll try again to move the file after this amount of milliseconds
  `static final String`
  `TRANSPORT_FAILED_RECORD_TIMESTAMP_FORMAT`
  `static final String`
  `TRANSPORT_FAILED_RECORDS_FILE_DESTINATION`
  The location to place the property file that contains the failed files
  `static final String`
  `TRANSPORT_FAILED_RECORDS_FILE_NAME`
  If a rename/move operation failed, we'll keep track of a list in a text file and this will provide the ability to configure that property file name
  `static final String`
  `TRANSPORT_FILE_ACTION_AFTER_ERRORS`
  `static final String`
  `TRANSPORT_FILE_ACTION_AFTER_FAILURE`
  `static final String`
  `TRANSPORT_FILE_ACTION_AFTER_PROCESS`
  `static final String`
  `TRANSPORT_FILE_CONTENT_TYPE`
  `static final String`
  `TRANSPORT_FILE_COUNT`
  This specify the file count that will be processed in a cycle/batch
  `static final String`
  `TRANSPORT_FILE_FILE_NAME_PATTERN`
  `static final String`
  `TRANSPORT_FILE_FILE_URI`
  `static final String`
  `TRANSPORT_FILE_INTERVAL`
  This specify the interval between files processed (in milliseconds)
  `static final String`
  `TRANSPORT_FILE_LOCKING`
  `static final String`
  `TRANSPORT_FILE_LOCKING_DISABLED`
  `static final String`
  `TRANSPORT_FILE_LOCKING_ENABLED`
  `static final String`
  `TRANSPORT_FILE_MAXIMUM_AGE`
  Parameter for maximum age
  `static final String`
  `TRANSPORT_FILE_MINIMUM_AGE`
  Parameter for minimum age
  `static final String`
  `TRANSPORT_FILE_MOVE_AFTER_ERRORS`
  `static final String`
  `TRANSPORT_FILE_MOVE_AFTER_FAILED_MOVE`
  This specify the folder to which a move failed file should be moved to ( in next successful) attempt
  `static final String`
  `TRANSPORT_FILE_MOVE_AFTER_FAILURE`
  `static final String`
  `TRANSPORT_FILE_MOVE_AFTER_PROCESS`
  `static final String`
  `TRANSPORT_FILE_MOVE_TIMESTAMP_FORMAT`
  `static final String`
  `TRANSPORT_FILE_RESOLVEHOST_DYNAMICALLY`
  This parameter is used decide whether the resolving hostname IP of URIs are done at deployment or dynamically.
  `static final String`
  `TRANSPORT_FILE_SEND_FILE_LOCKING`
  parameter to set synchronous uploading of the files for a file protocol on host basis
  `static final String`
  `TRANSPORT_FILE_SIZE_LIMIT`
  `static final String`
  `UPDATE_LAST_MODIFIED`
  `static final String`
  `VFS_PREFIX`
  `static final String`
  `WAIT_TIME_BEFORE_READ`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VFSConstants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### VFS_PREFIX

    public static final String VFS_PREFIX
    See Also:
      - Constant Field Values

  - ### TRANSPORT_FILE_ACTION_AFTER_PROCESS

    public static final String TRANSPORT_FILE_ACTION_AFTER_PROCESS
    See Also:
      - Constant Field Values

  - ### TRANSPORT_FILE_ACTION_AFTER_ERRORS

    public static final String TRANSPORT_FILE_ACTION_AFTER_ERRORS
    See Also:
      - Constant Field Values

  - ### TRANSPORT_FILE_ACTION_AFTER_FAILURE

    public static final String TRANSPORT_FILE_ACTION_AFTER_FAILURE
    See Also:
      - Constant Field Values

  - ### TRANSPORT_FILE_MOVE_AFTER_PROCESS

    public static final String TRANSPORT_FILE_MOVE_AFTER_PROCESS
    See Also:
      - Constant Field Values

  - ### TRANSPORT_FILE_MOVE_AFTER_ERRORS

    public static final String TRANSPORT_FILE_MOVE_AFTER_ERRORS
    See Also:
      - Constant Field Values

  - ### TRANSPORT_FILE_MOVE_AFTER_FAILURE

    public static final String TRANSPORT_FILE_MOVE_AFTER_FAILURE
    See Also:
      - Constant Field Values

  - ### TRANSPORT_FILE_FILE_URI

    public static final String TRANSPORT_FILE_FILE_URI
    See Also:
      - Constant Field Values

  - ### TRANSPORT_FILE_FILE_NAME_PATTERN

    public static final String TRANSPORT_FILE_FILE_NAME_PATTERN
    See Also:
      - Constant Field Values

  - ### TRANSPORT_FILE_CONTENT_TYPE

    public static final String TRANSPORT_FILE_CONTENT_TYPE
    See Also:
      - Constant Field Values

  - ### TRANSPORT_FILE_LOCKING

    public static final String TRANSPORT_FILE_LOCKING
    See Also:
      - Constant Field Values

  - ### UPDATE_LAST_MODIFIED

    public static final String UPDATE_LAST_MODIFIED
    See Also:
      - Constant Field Values

  - ### IS_MOUNTED

    public static final String IS_MOUNTED
    See Also:
      - Constant Field Values

  - ### TRANSPORT_FILE_LOCKING_ENABLED

    public static final String TRANSPORT_FILE_LOCKING_ENABLED
    See Also:
      - Constant Field Values

  - ### TRANSPORT_FILE_LOCKING_DISABLED

    public static final String TRANSPORT_FILE_LOCKING_DISABLED
    See Also:
      - Constant Field Values

  - ### TRANSPORT_CHECK_SIZE_INTERVAL

    public static final String TRANSPORT_CHECK_SIZE_INTERVAL
    See Also:
      - Constant Field Values

  - ### TRANSPORT_CHECK_SIZE_IGNORE_EMPTY

    public static final String TRANSPORT_CHECK_SIZE_IGNORE_EMPTY
    See Also:
      - Constant Field Values

  - ### TRANSPORT_FILE_RESOLVEHOST_DYNAMICALLY

    public static final String TRANSPORT_FILE_RESOLVEHOST_DYNAMICALLY
    This parameter is used decide whether the resolving hostname IP of URIs are done at deployment or dynamically. At usage default id 'false' which lead hostname resolution at deployment
    See Also:
      - Constant Field Values

  - ### TRANSPORT_FILE_SIZE_LIMIT

    public static final String TRANSPORT_FILE_SIZE_LIMIT
    See Also:
      - Constant Field Values

  - ### DEFAULT_TRANSPORT_FILE_SIZE_LIMIT

    public static final double DEFAULT_TRANSPORT_FILE_SIZE_LIMIT
    See Also:
      - Constant Field Values

  - ### REPLY_FILE_URI

    public static final String REPLY_FILE_URI
    See Also:
      - Constant Field Values

  - ### REPLY_FILE_NAME

    public static final String REPLY_FILE_NAME
    See Also:
      - Constant Field Values

  - ### TRANSPORT_FILE_MOVE_TIMESTAMP_FORMAT

    public static final String TRANSPORT_FILE_MOVE_TIMESTAMP_FORMAT
    See Also:
      - Constant Field Values

  - ### DEFAULT_RESPONSE_FILE

    public static final String DEFAULT_RESPONSE_FILE
    See Also:
      - Constant Field Values

  - ### STREAMING

    public static final String STREAMING
    See Also:
      - Constant Field Values

  - ### MAX_RETRY_COUNT

    public static final String MAX_RETRY_COUNT
    See Also:
      - Constant Field Values

  - ### FORCE_CREATE_FOLDER

    public static final String FORCE_CREATE_FOLDER
    See Also:
      - Constant Field Values

  - ### RECONNECT_TIMEOUT

    public static final String RECONNECT_TIMEOUT
    See Also:
      - Constant Field Values

  - ### APPEND

    public static final String APPEND
    See Also:
      - Constant Field Values

  - ### SUBFOLDER_TIMESTAMP

    public static final String SUBFOLDER_TIMESTAMP
    See Also:
      - Constant Field Values

  - ### TRANSPORT_FILE_SEND_FILE_LOCKING

    public static final String TRANSPORT_FILE_SEND_FILE_LOCKING
    parameter to set synchronous uploading of the files for a file protocol on host basis
    See Also:
      - Constant Field Values

  - ### FILE_SORT_PARAM

    public static final String FILE_SORT_PARAM
    File Sorting Parameter and values
    See Also:
      - Constant Field Values

  - ### FILE_SORT_VALUE_NAME

    public static final String FILE_SORT_VALUE_NAME
    See Also:
      - Constant Field Values

  - ### FILE_SORT_VALUE_SIZE

    public static final String FILE_SORT_VALUE_SIZE
    See Also:
      - Constant Field Values

  - ### FILE_SORT_VALUE_LASTMODIFIEDTIMESTAMP

    public static final String FILE_SORT_VALUE_LASTMODIFIEDTIMESTAMP
    See Also:
      - Constant Field Values

  - ### FILE_SORT_ORDER

    public static final String FILE_SORT_ORDER
    See Also:
      - Constant Field Values

  - ### TRANSPORT_FAILED_RECORDS_FILE_NAME

    public static final String TRANSPORT_FAILED_RECORDS_FILE_NAME
    If a rename/move operation failed, we'll keep track of a list in a text file and this will provide the ability to configure that property file name
    See Also:
      - Constant Field Values

  - ### DEFAULT_FAILED_RECORDS_FILE_NAME

    public static final String DEFAULT_FAILED_RECORDS_FILE_NAME
    The default name of the failed file
    See Also:
      - Constant Field Values

  - ### TRANSPORT_FAILED_RECORDS_FILE_DESTINATION

    public static final String TRANSPORT_FAILED_RECORDS_FILE_DESTINATION
    The location to place the property file that contains the failed files
    See Also:
      - Constant Field Values

  - ### ERROR_CODE

    public static final String ERROR_CODE
    The error code of the transport sender side
    See Also:
      - Constant Field Values

  - ### DEFAULT_FAILED_RECORDS_FILE_DESTINATION

    public static final String DEFAULT_FAILED_RECORDS_FILE_DESTINATION
    The default location to place the record file
    See Also:
      - Constant Field Values

  - ### TRANSPORT_FAILED_RECORD_NEXT_RETRY_DURATION

    public static final String TRANSPORT_FAILED_RECORD_NEXT_RETRY_DURATION
    Once a record/file is marked as failed we'll try again to move the file after this amount of milliseconds
    See Also:
      - Constant Field Values

  - ### DEFAULT_NEXT_RETRY_DURATION

    public static final int DEFAULT_NEXT_RETRY_DURATION
    See Also:
      - Constant Field Values

  - ### TRANSPORT_FILE_MOVE_AFTER_FAILED_MOVE

    public static final String TRANSPORT_FILE_MOVE_AFTER_FAILED_MOVE
    This specify the folder to which a move failed file should be moved to ( in next successful) attempt
    See Also:
      - Constant Field Values

  - ### TRANSPORT_FAILED_RECORD_TIMESTAMP_FORMAT

    public static final String TRANSPORT_FAILED_RECORD_TIMESTAMP_FORMAT
    See Also:
      - Constant Field Values

  - ### DEFAULT_TRANSPORT_FAILED_RECORD_TIMESTAMP_FORMAT

    public static final String DEFAULT_TRANSPORT_FAILED_RECORD_TIMESTAMP_FORMAT
    See Also:
      - Constant Field Values

  - ### TRANSPORT_FILE_INTERVAL

    public static final String TRANSPORT_FILE_INTERVAL
    This specify the interval between files processed (in milliseconds)
    See Also:
      - Constant Field Values

  - ### TRANSPORT_FILE_COUNT

    public static final String TRANSPORT_FILE_COUNT
    This specify the file count that will be processed in a cycle/batch
    See Also:
      - Constant Field Values

  - ### TRANSPORT_AUTO_LOCK_RELEASE

    public static final String TRANSPORT_AUTO_LOCK_RELEASE
    Lock release true/false
    See Also:
      - Constant Field Values

  - ### TRANSPORT_AUTO_LOCK_RELEASE_INTERVAL

    public static final String TRANSPORT_AUTO_LOCK_RELEASE_INTERVAL
    Lock release interval
    See Also:
      - Constant Field Values

  - ### TRANSPORT_AUTO_LOCK_RELEASE_SAME_NODE

    public static final String TRANSPORT_AUTO_LOCK_RELEASE_SAME_NODE
    Lock release same node
    See Also:
      - Constant Field Values

  - ### TRANSPORT_DISTRIBUTED_LOCK

    public static final String TRANSPORT_DISTRIBUTED_LOCK
    Distributed Lock enable/disable
    See Also:
      - Constant Field Values

  - ### TRANSPORT_BUILD

    public static final String TRANSPORT_BUILD
    Fully build the file
    See Also:
      - Constant Field Values

  - ### TRANSPORT_DISTRIBUTED_LOCK_TIMEOUT

    public static final String TRANSPORT_DISTRIBUTED_LOCK_TIMEOUT
    Distributed Lock timeout
    See Also:
      - Constant Field Values

  - ### FAILED_RECORD_DELIMITER

    public static final String FAILED_RECORD_DELIMITER
    See Also:
      - Constant Field Values

  - ### DEFAULT_MAX_RETRY_COUNT

    public static final int DEFAULT_MAX_RETRY_COUNT
    See Also:
      - Constant Field Values

  - ### DEFAULT_RECONNECT_TIMEOUT

    public static final long DEFAULT_RECONNECT_TIMEOUT
    See Also:
      - Constant Field Values

  - ### FILE_PATH

    public static final String FILE_PATH
    See Also:
      - Constant Field Values

  - ### FILE_URI

    public static final String FILE_URI
    See Also:
      - Constant Field Values

  - ### FILE_NAME

    public static final String FILE_NAME
    See Also:
      - Constant Field Values

  - ### FILE_LENGTH

    public static final String FILE_LENGTH
    See Also:
      - Constant Field Values

  - ### LAST_MODIFIED

    public static final String LAST_MODIFIED
    See Also:
      - Constant Field Values

  - ### SCHEME

    public static final String SCHEME
    See Also:
      - Constant Field Values

  - ### SFTP_PREFIX

    public static final String SFTP_PREFIX
    See Also:
      - Constant Field Values

  - ### SCHEME_SFTP

    public static final String SCHEME_SFTP
    See Also:
      - Constant Field Values

  - ### SCHEME_FTP

    public static final String SCHEME_FTP
    See Also:
      - Constant Field Values

  - ### SCHEME_FTPS

    public static final String SCHEME_FTPS
    See Also:
      - Constant Field Values

  - ### SCHEME_SMB2

    public static final String SCHEME_SMB2
    See Also:
      - Constant Field Values

  - ### TRANSPORT_FILE_MINIMUM_AGE

    public static final String TRANSPORT_FILE_MINIMUM_AGE
    Parameter for minimum age
    See Also:
      - Constant Field Values

  - ### TRANSPORT_FILE_MAXIMUM_AGE

    public static final String TRANSPORT_FILE_MAXIMUM_AGE
    Parameter for maximum age
    See Also:
      - Constant Field Values

  - ### FILE_TYPE_PREFIX

    public static final String FILE_TYPE_PREFIX
    See Also:
      - Constant Field Values

  - ### FILE_TYPE

    public static final String FILE_TYPE
    See Also:
      - Constant Field Values

  - ### BINARY_TYPE

    public static final String BINARY_TYPE
    See Also:
      - Constant Field Values

  - ### LOCAL_TYPE

    public static final String LOCAL_TYPE
    See Also:
      - Constant Field Values

  - ### ASCII_TYPE

    public static final String ASCII_TYPE
    See Also:
      - Constant Field Values

  - ### EBCDIC_TYPE

    public static final String EBCDIC_TYPE
    See Also:
      - Constant Field Values

  - ### CLUSTER_AWARE

    public static final String CLUSTER_AWARE
    See Also:
      - Constant Field Values

  - ### WAIT_TIME_BEFORE_READ

    public static final String WAIT_TIME_BEFORE_READ
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### VFSConstants

    public VFSConstants()